libfreehand::FHImageImport Struct Reference documentation

libfreehand::FHImageImport Struct Reference

`#include <FHTypes.h>`

## Public Member Functions
| FHImageImport ()

## Public Attributes
unsigned | m_graphicStyleId
unsigned | m_dataListId
unsigned | m_xFormId
double | m_startX
double | m_startY
double | m_width
double | m_height
librevenge::RVNGString | m_format

## Constructor & Destructor Documentation

## ◆ FHImageImport()

libfreehand::FHImageImport::FHImageImport | ( |  | ) |
| inline

## Member Data Documentation

## ◆ m_dataListId

unsigned libfreehand::FHImageImport::m_dataListId

Referenced by libfreehand::FHCollector::_outputImageImport(), FHImageImport(), libfreehand::FHParser::readImageImport(), and libfreehand::FHParser::readSwfImport().

## ◆ m_format

librevenge::RVNGString libfreehand::FHImageImport::m_format

Referenced by FHImageImport(), and libfreehand::FHParser::readImageImport().

## ◆ m_graphicStyleId

unsigned libfreehand::FHImageImport::m_graphicStyleId

Referenced by libfreehand::FHCollector::_outputImageImport(), FHImageImport(), libfreehand::FHParser::readImageImport(), and libfreehand::FHParser::readSwfImport().

## ◆ m_height

double libfreehand::FHImageImport::m_height

Referenced by libfreehand::FHCollector::_getBBofImageImport(), libfreehand::FHCollector::_outputImageImport(), FHImageImport(), libfreehand::FHParser::readImageImport(), and libfreehand::FHParser::readSwfImport().

## ◆ m_startX

double libfreehand::FHImageImport::m_startX

Referenced by libfreehand::FHCollector::_getBBofImageImport(), libfreehand::FHCollector::_outputImageImport(), FHImageImport(), libfreehand::FHParser::readImageImport(), and libfreehand::FHParser::readSwfImport().

## ◆ m_startY

double libfreehand::FHImageImport::m_startY

Referenced by libfreehand::FHCollector::_getBBofImageImport(), libfreehand::FHCollector::_outputImageImport(), FHImageImport(), libfreehand::FHParser::readImageImport(), and libfreehand::FHParser::readSwfImport().

## ◆ m_width

double libfreehand::FHImageImport::m_width

Referenced by libfreehand::FHCollector::_getBBofImageImport(), libfreehand::FHCollector::_outputImageImport(), FHImageImport(), libfreehand::FHParser::readImageImport(), and libfreehand::FHParser::readSwfImport().

## ◆ m_xFormId

unsigned libfreehand::FHImageImport::m_xFormId

Referenced by libfreehand::FHCollector::_getBBofImageImport(), libfreehand::FHCollector::_outputImageImport(), FHImageImport(), libfreehand::FHParser::readImageImport(), and libfreehand::FHParser::readSwfImport().

The documentation for this struct was generated from the following file:

- FHTypes.h